<div class="row">
  <div class="col-sm">
    <div class="card">
      <div class="card-header">
        <div class="card-title">
          <div class="row">
            <div class="col-sm margin-top-bottom-auto">
             <span class="h4">
                  <i class="fas fa fa-user-md"></i>&nbsp; Doctors
              </span>
              <button
                placement="top"
                ngbTooltip="Create Doctors"
                class="btn btn-neutral btn-round" (click)="create()">
                <i class="fas fa fa-plus-circle"></i>
                Create
              </button>
            </div>
            <div class="col-sm">
              <div class="float-right">
                <app-search-box (searchChange)="onSearchChanged($event)"
                                placeholder="Search For Doctor(s): "></app-search-box>
                <button
                  placement="top"
                  ngbTooltip="Refresh Doctors"
                  class="btn btn-neutral btn-round" (click)="refresh()">
                  <i class="fas fa fa-sync"></i>
                  Refresh
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="card-body overflow-scroll">
        <table id="dataTable" class="table table-striped table-bordered">
          <thead>
          <tr>
            <th (click)="sortData(head)" [ngbTooltip]="head.toolTip" [class.cursor]="head.sortable"
                *ngFor="let head of headers">{{ head.title }}
              <i *ngIf="head.sortable" [className]="head.sortIcon"></i>
            </th>
          </tr>
          </thead>
          <tbody>
          <tr *ngIf="!rows || rows.length == 0 && !isLoading">
            <td [colSpan]="headers.length" class="text-center">No Data Found.</td>
          </tr>
          <tr *ngFor="let row of rows">
            <td class="text-center">
              <img (click)="viewImage(row)" ngbTooltip="Click to view Image" placement="left" class="img-fluid img-thumbnail cursor" style="max-height: 48px" [src]="row.image" alt="Image"/>
            </td>
            <td>{{row.name}}</td>
            <td>{{row.email}}</td>
            <td [innerHTML]="row.isEnabled | boolToLabel"></td>
            <td>{{row.createdDate | date: 'medium' }}</td>
            <td>
              <a (click)="editDoctor(row)" class="text-primary cursor"
                 placement="top"
                 ngbTooltip="Edit Doctor"><i
                class="fa fa-pen"></i></a>
              &nbsp;
              <a (click)="deleteDoctor(row)" class="text-primary cursor"
                 placement="top"
                 ngbTooltip="Delete Doctor"><i
                class="fa fa-trash"></i></a>
              &nbsp;
              <a *ngIf="row.isEnabled" (click)="blockDoctor(row)" class="text-primary cursor"
                 placement="top"
                 ngbTooltip="Block Doctor"><i
                class="fa fa-lock"></i></a>
              &nbsp;
              <a *ngIf="!row.isEnabled"  (click)="unblockDoctor(row)" class="text-primary cursor"
                 placement="top"
                 ngbTooltip="UnBlock Doctor"><i
                class="fa fa-unlock"></i></a>
              &nbsp;
            </td>
          </tr>
          </tbody>
        </table>
        <div class="row">
          <div class="col-sm">
            <ngb-pagination [pageSize]="10" [collectionSize]="totalPage" (pageChange)="changePage($event)"
                            [(page)]="page" [maxSize]="3" [boundaryLinks]="true"></ngb-pagination>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
